Plank.ItemFactory.load_elements – plank Reference Manual

# load_elements

## Description:

public ArrayList<DockElement> load_elements (File source_dir, string[]? ordering = null)

Creates a list of Dockitems based on .dockitem files found in the given source_dir.

## Parameters:

source_dir | the folder where to load .dockitem from
ordering | a ";;"-separated string to be used to order the loaded DockItems

## Returns:

the new List of DockItems